﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls;
using Infragistics.Controls.Menus;
using WpfApplication191.ViewModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.DragDrop;

namespace WpfApplication191
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

      

        private void DragSource_Drop(object sender, Infragistics.DragDrop.DropEventArgs e)
        {
            DataRecordCellArea drca = e.DropTarget as DataRecordCellArea;
            DataRecord dr;
            VM vm = Application.Current.Resources["vm"] as VM;
            if (e.Data is Record)
            {
                Record r = e.Data as Record;
                dr = r as DataRecord;
                Team t = dr.DataItem as Team;
                vm.Teams.Remove(t);
                Record nr = drca.Record;
                DataRecord ndr = nr as DataRecord;
                League l = ndr.DataItem as League;
                l.Teams.Add(t);
               
            }
          
        }

       
        private void DragSource_DragOver(object sender, Infragistics.DragDrop.DragDropMoveEventArgs e)
        {
            if (e.DropTarget is DataRecordCellArea)
            {
                DataRecordCellArea drca = e.DropTarget as DataRecordCellArea;
                DataRecord dr = drca.Record as DataRecord;
                if (dr.DataItem is League)
                {
                   e.OperationType = OperationType.Copy;
                }
                else e.OperationType = OperationType.DropNotAllowed;

            }
        }

        private void btn_Click(object sender, RoutedEventArgs e)
        {
            Window1 w1 = new Window1();
            w1.Show();
        }

        private void DragSource_DragEnter(object sender, DragDropCancelEventArgs e)
        {
            XamDataGrid xg = e.DragSource as XamDataGrid;
            if (xg.ActiveRecord == null)
            {
                e.Cancel = true;
            }
            else e.Data = xg.ActiveRecord;

         
        }

        private void xgrid1_RecordActivated(object sender, Infragistics.Windows.DataPresenter.Events.RecordActivatedEventArgs e)
        {
            e.Handled = false;
        }
    }
}
